# Documentation

Generally available and reverse-engineered documentation of FM10K platform and several devices found in the field.

## Devices

We currently aim to document the Silicom PE3100G2DQiRM-QX4 board, which is a 2x QSFP28 FM10k adapter. These are/were available on eBay in late 2020.

We are also interested in the Intel FM10420-100GbE-QDA2, but that's a lower priority.

## Process and software

We use KiCAD to edit reverse-engineered schematics.

You can use [nix](https://nixos.org/guides/how-nix-works.html) to get KiCAD (and other tools) automatically by running:

    $ nix-shell

And then just starting `kicad` from that shell.

## Schematic PDFs

To build schematics PDFs from KiCAD .sch, build the 'build' target from `default.nix`:

    $ nix-build -A build
    $ ls result/

TODO(#8): automate pushing the results of this somewhere.

## Copyright, licensing, etc.

Unlesss stated otherwise, all original work is Copyright (c) 2020 FM10K-Documentation Contributors, licensed under the Creative Commons CC-BY 4.0 License. See COPYING for more information. For the purposes of attribution, use either `FM10K-Documentation Contributors`, or names available in this repository's git history.

This repository also contains third-party datasheets and other documents which may be copyrighted by their respective authors, reproduced here verbatim and unmofied for archival purposes. These documents are all, at the time of submission to this repository, officially and widely available from their respective authors.

No unofficial or NDA-gated materials are present in this repository, and none such materials were used in the process of writing this documentation.
